SND_PCM_PLAYBACK_D(9)

NAME
snd_pcm_playback_data - check whether any data exists on the playback buffer

SYNOPSIS

int snd_pcm_playback_data (struct snd_pcm_substream * substream);

ARGUMENTS

substream
    the pcm substream instance

DESCRIPTION

Checks whether any data exists on the playback buffer. If stop_threshold is bigger or equal to boundary, then this function returns always non-zero.

Returns non-zero if exists, or zero if not.